using System;
using System.IO;
using Silanis.ESL.SDK;
using Silanis.ESL.SDK.Builder;
 
namespace createTemplateFrom
{
    class createTemplateFrom
    {
        private static String apiUrl = "https://sandbox.esignlive.com/api";
        // USE https://apps.e-signlive.com/api FOR PRODUCTION
        private static String apiKey = "your_api_key";
 
        public static void Main(string[] args)
        {
            EslClient eslClient = new EslClient(apiKey, apiUrl);
 
            FileStream fs = File.OpenRead("YOUR_FILE_PATH");
 
           DocumentPackage documentPackage = PackageBuilder
                    .NewPackageNamed("My template from scratch .NET SDK")
                    .WithSigner(SignerBuilder.NewSignerPlaceholder(new Placeholder("PlaceholderId1")))
                    .WithSigner(SignerBuilder.NewSignerPlaceholder(new Placeholder("PlaceholderId2")))
                    .WithDocument(DocumentBuilder.NewDocumentNamed("My Document")
                                  .FromStream(fs, DocumentType.PDF)
                                  .WithSignature(SignatureBuilder
                                       .SignatureFor(new Placeholder("PlaceholderId1"))
                                         .OnPage(0)
                                         .AtPosition(100, 140))
                                  .WithSignature(SignatureBuilder
                                       .SignatureFor(new Placeholder("PlaceholderId2"))
                                         .OnPage(0)
                                         .AtPosition(100, 205)))
                    .Build();
 
            PackageId templateId = eslClient.CreateTemplate(documentPackage);
        }
    }
}